Skip to main content
PATCH
/
organizations
/
{organizationId}
/
loans
/
{earlyTerminationLoanId}
Early Terminate Loan
curl --request PATCH \
  --url https://api.copper.co/platform/organizations/{organizationId}/loans/{earlyTerminationLoanId} \
  --header 'Content-Type: application/vnd.early-terminate-loan+json' \
  --data '{}'
import requests

url = "https://api.copper.co/platform/organizations/{organizationId}/loans/{earlyTerminationLoanId}"

payload = {}
headers = {"Content-Type": "application/vnd.early-terminate-loan+json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/vnd.early-terminate-loan+json'},
body: JSON.stringify({})
};

fetch('https://api.copper.co/platform/organizations/{organizationId}/loans/{earlyTerminationLoanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "loans": [
    {
      "amount": "<string>",
      "borrowerCounterpartyId": "<string>",
      "borrowerOrganizationId": "<string>",
      "createdBy": "<string>",
      "currency": "<string>",
      "externalId": "<string>",
      "lenderCounterpartyId": "<string>",
      "lenderOrganizationId": "<string>",
      "loanId": "<string>",
      "mainCurrency": "<string>",
      "borrowerPortfolioId": "<string>",
      "createdAt": "<string>",
      "debtRatio": "<string>",
      "debtRatioUpdatedAt": "<string>",
      "defaultReason": "<string>",
      "embedded": {
        "childLoans": "<array>",
        "collaterals": [
          {
            "amount": "<string>",
            "collateralId": "<string>",
            "createdAt": "<string>",
            "currency": "<string>",
            "loanId": "<string>",
            "mainCurrency": "<string>",
            "portfolioId": "<string>",
            "unrealisedAmount": "<string>",
            "updatedAt": "<string>"
          }
        ],
        "counterparties": [
          {
            "counterpartyId": "<string>",
            "counterpartyName": "<string>",
            "networkTag": "<string>",
            "backgroundImageId": "<string>",
            "counterpartyDescription": "<string>",
            "extra": {
              "exchangeId": "<string>"
            },
            "imageId": "<string>",
            "priority": "<string>",
            "tags": [
              "featured"
            ]
          }
        ],
        "loanAllocations": [
          {
            "amount": "<string>",
            "createdAt": "<string>",
            "currency": "<string>",
            "extra": {
              "acceptedAt": "<string>",
              "acceptedBy": "<string>",
              "cancelledAt": "<string>",
              "cancelledBy": "<string>",
              "confirmedAt": "<string>",
              "confirmedBy": "<string>",
              "effectiveDate": "<string>"
            },
            "loanAllocationId": "<string>",
            "loanId": "<string>",
            "mainCurrency": "<string>",
            "counterpartyOrderId": "<string>",
            "createdBy": "<string>",
            "externalFailureDescription": "<string>",
            "fromPortfolioId": "<string>",
            "orderId": "<string>",
            "requestorCounterpartyId": "<string>",
            "terminatedAt": "<string>",
            "toPortfolioId": "<string>",
            "updatedAt": "<string>"
          }
        ],
        "loanInterest": {
          "accruedInterest": "<string>",
          "createdAt": "<string>",
          "interestCurrency": "<string>",
          "loanId": "<string>",
          "loanInterestId": "<string>",
          "lastPaymentAt": "<string>",
          "realisedInterest": "<string>",
          "unrealisedInterest": "<string>",
          "updatedAt": "<string>"
        },
        "loanModifications": [
          {
            "createdAt": "<string>",
            "extra": {
              "acceptedAt": "<string>",
              "acceptedBy": "<string>",
              "cancelledAt": "<string>",
              "cancelledBy": "<string>",
              "currentInterestRate": "<string>",
              "currentMaturityDate": "<string>",
              "newInterestRate": "<string>",
              "newMaturityDate": "<string>"
            },
            "loanId": "<string>",
            "loanModificationId": "<string>",
            "createdBy": "<string>",
            "requestorCounterpartyId": "<string>",
            "updatedAt": "<string>"
          }
        ],
        "marginCall": {}
      },
      "extra": {
        "acceptedAt": "<string>",
        "acceptedBy": "<string>",
        "approvedAt": "<string>",
        "approvedBy": "<string>",
        "cancelledAt": "<string>",
        "cancelledBy": "<string>",
        "defaultThreshold": "<string>",
        "defaultedAt": "<string>",
        "defaultedBy": "<string>",
        "disbursedAt": "<string>",
        "externalDisbursal": true,
        "externalInterestPayment": true,
        "initialLtv": "<string>",
        "initiallyRequiredCollateralUsd": "<string>",
        "lenderFeeShare": "<string>",
        "lenderFeeSharePercentage": "<string>",
        "marginCallExpiryPeriod": "<string>",
        "marginCallThreshold": "<string>",
        "rebalanceThreshold": "<string>",
        "rejectedAt": "<string>",
        "rejectedBy": "<string>",
        "repaidAt": "<string>",
        "repaidBy": "<string>",
        "requiredCollaterals": [
          {
            "amount": "<string>",
            "currency": "<string>",
            "mainCurrency": "<string>",
            "amountInUsd": "<string>"
          }
        ]
      },
      "interestRate": "<string>",
      "lenderPortfolioId": "<string>",
      "maturityDate": "<string>",
      "originalLoanAmount": "<string>",
      "originalLoanValue": "<string>",
      "startDate": "<string>",
      "terminatedAt": "<string>",
      "unrealisedAmount": "<string>",
      "updatedAt": "<string>"
    }
  ]
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Headers

Content-Type
string

application/vnd.early-terminate-loan+json

Path Parameters

organizationId
string
required
earlyTerminationLoanId
string
required

Body

application/vnd.early-terminate-loan+json

The body is of type object.

Response

OK

loans
object[]
required

The list of loans